package com.rjconsultores.ventaboletos.utilerias.exportacao.bpe;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class ExportacaoBPEBase {

	private Long boletoId;
	private String numfoliosistema;
	private BigDecimal valortotal;
	private BigDecimal vDesconto;
	private String chbpe;
	private String chbpeSub;
	private String dhrecbto;
	private String dhEmisao;
	private String tpBpe;
	private String retorno;
	private String nprot;
	private String numBpe;
	private String numSerieBpe;
	private String codEstabelecimento;
	private String municipioOrigem;
	private String estadoOrigem;
	private String municipioDestino;
	private String estadoDestino;
	private BigDecimal valortributado;
	private BigDecimal redBaseCalcEstadual;
	private BigDecimal redBaseCalcMunicipal;
	private BigDecimal porcRedMunicipal;
	private BigDecimal porcRedEstadual;
	private BigDecimal tributacaoImportacao;
	private String pagamentos;
	private String codstatus;
	private String tipoevento;
	private String codigoContabilEstadual;
	private String codigocontabilMunicipal;
	private Integer crt;
	private String xml;
	private String xmlAnterior;
	private Boolean indTarifaMunicipal;
	private Boolean indSeguroMunicipal;
	private Boolean indTxEmbarqueMunicipal;
	private Boolean indPedagioMunicipal;
	private Boolean indTarifaEstadual;
	private Boolean indSeguroEstadual;
	private Boolean indTxEmbarqueEstadual;
	private Boolean indPedadioEstdual;

	private String cmunini;
	private String cmunfim;
	private String ufini;
	private String uffim;
	private String nbp;
	private String dhemb;
	private String cst00;
	private String cst20;
	private String cst45;
	private String cst90;
	private String cstoutrauf;
	private String cstsn;
	private String vbc00;
	private String picms00;
	private String vicms00;
	private String vbc20;
	private String picms20;
	private String vicms20;
	private String vbp;
	private String vdesconto;
	private String vpgto;
	private String tpcomp01;
	private String tpcomp02;
	private String tpcomp03;
	private String tpcomp04;
	private String tpcomp05;
	private String tpcomp06;
	private String tpcomp99;
	private String vcomp01;
	private String vcomp02;
	private String vcomp03;
	private String vcomp04;
	private String vcomp05;
	private String vcomp06;
	private String vcomp99;
	private String pRedBC;

	private String dhrecbtoBPe;
	private boolean activoBPe;
	private int motivoCancelacionId;
	private String indContribuicaoPrevidenciaria;

	private List<ExportacaoBPETipoBPE> listaRegistroBPE;
	private List<ExportacaoBPETipoDPE> listaRegistroDPE;
	private List<ExportacaoBPETipoOBE> listaRegistroOBE;
	private List<ExportacaoBPETipoPRC> listaRegistroPRC;

	public ExportacaoBPEBase() {
		listaRegistroBPE = new ArrayList<ExportacaoBPETipoBPE>(0);
		listaRegistroDPE = new ArrayList<ExportacaoBPETipoDPE>(0);
		listaRegistroOBE = new ArrayList<ExportacaoBPETipoOBE>(0);
		listaRegistroPRC = new ArrayList<ExportacaoBPETipoPRC>(0);
	}

	public Long getBoletoId() {
		return boletoId;
	}

	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}

	public String getNumfoliosistema() {
		return numfoliosistema;
	}

	public void setNumfoliosistema(String numfoliosistema) {
		this.numfoliosistema = numfoliosistema;
	}

	public BigDecimal getValortotal() {
		return valortotal;
	}

	public void setValortotal(BigDecimal valortotal) {
		this.valortotal = valortotal;
	}

	public BigDecimal getvDesconto() {
		return vDesconto;
	}

	public void setvDesconto(BigDecimal vDesconto) {
		this.vDesconto = vDesconto;
	}

	public String getChbpe() {
		return chbpe;
	}

	public void setChbpe(String chbpe) {
		this.chbpe = chbpe;
	}

	public String getChbpeSub() {
		return chbpeSub;
	}

	public void setChbpeSub(String chbpeSub) {
		this.chbpeSub = chbpeSub;
	}

	public String getDhrecbto() {
		return dhrecbto;
	}

	public void setDhrecbto(String dhrecbto) {
		this.dhrecbto = dhrecbto;
	}

	public String getDhEmisao() {
		return dhEmisao;
	}

	public void setDhEmisao(String dhEmisao) {
		this.dhEmisao = dhEmisao;
	}

	public String getTpBpe() {
		return tpBpe;
	}

	public void setTpBpe(String tpBpe) {
		this.tpBpe = tpBpe;
	}

	public String getRetorno() {
		return retorno;
	}

	public void setRetorno(String retorno) {
		this.retorno = retorno;
	}

	public String getNprot() {
		return nprot;
	}

	public void setNprot(String nprot) {
		this.nprot = nprot;
	}

	public String getNumBpe() {
		return numBpe;
	}

	public void setNumBpe(String numBpe) {
		this.numBpe = numBpe;
	}

	public String getNumSerieBpe() {
		return numSerieBpe;
	}

	public void setNumSerieBpe(String numSerieBpe) {
		this.numSerieBpe = numSerieBpe;
	}

	public String getCodEstabelecimento() {
		return codEstabelecimento;
	}

	public void setCodEstabelecimento(String codEstabelecimento) {
		this.codEstabelecimento = codEstabelecimento;
	}

	public String getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(String municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public String getEstadoOrigem() {
		return estadoOrigem;
	}

	public void setEstadoOrigem(String estadoOrigem) {
		this.estadoOrigem = estadoOrigem;
	}

	public String getMunicipioDestino() {
		return municipioDestino;
	}

	public void setMunicipioDestino(String municipioDestino) {
		this.municipioDestino = municipioDestino;
	}

	public String getEstadoDestino() {
		return estadoDestino;
	}

	public void setEstadoDestino(String estadoDestino) {
		this.estadoDestino = estadoDestino;
	}

	public BigDecimal getValortributado() {
		return valortributado;
	}

	public void setValortributado(BigDecimal valortributado) {
		this.valortributado = valortributado;
	}

	public BigDecimal getRedBaseCalcEstadual() {
		return redBaseCalcEstadual;
	}

	public void setRedBaseCalcEstadual(BigDecimal redBaseCalcEstadual) {
		this.redBaseCalcEstadual = redBaseCalcEstadual;
	}

	public BigDecimal getRedBaseCalcMunicipal() {
		return redBaseCalcMunicipal;
	}

	public void setRedBaseCalcMunicipal(BigDecimal redBaseCalcMunicipal) {
		this.redBaseCalcMunicipal = redBaseCalcMunicipal;
	}

	public BigDecimal getPorcRedMunicipal() {
		return porcRedMunicipal;
	}

	public void setPorcRedMunicipal(BigDecimal porcRedMunicipal) {
		this.porcRedMunicipal = porcRedMunicipal;
	}

	public BigDecimal getPorcRedEstadual() {
		return porcRedEstadual;
	}

	public void setPorcRedEstadual(BigDecimal porcRedEstadual) {
		this.porcRedEstadual = porcRedEstadual;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	public String getPagamentos() {
		return pagamentos;
	}

	public void setPagamentos(String pagamentos) {
		this.pagamentos = pagamentos;
	}

	public String getCodstatus() {
		return codstatus;
	}

	public void setCodstatus(String codstatus) {
		this.codstatus = codstatus;
	}

	public String getTipoevento() {
		return tipoevento;
	}

	public void setTipoevento(String tipoevento) {
		this.tipoevento = tipoevento;
	}

	public String getCodigoContabilEstadual() {
		return codigoContabilEstadual;
	}

	public void setCodigoContabilEstadual(String codigoContabilEstadual) {
		this.codigoContabilEstadual = codigoContabilEstadual;
	}

	public String getCodigocontabilMunicipal() {
		return codigocontabilMunicipal;
	}

	public void setCodigocontabilMunicipal(String codigocontabilMunicipal) {
		this.codigocontabilMunicipal = codigocontabilMunicipal;
	}

	public Integer getCrt() {
		return crt;
	}

	public void setCrt(Integer crt) {
		this.crt = crt;
	}

	public String getXml() {
		return xml;
	}

	public void setXml(String xml) {
		this.xml = xml;
	}

	public Boolean getIndTarifaMunicipal() {
		return indTarifaMunicipal;
	}

	public void setIndTarifaMunicipal(Boolean indTarifaMunicipal) {
		this.indTarifaMunicipal = indTarifaMunicipal;
	}

	public Boolean getIndSeguroMunicipal() {
		return indSeguroMunicipal;
	}

	public void setIndSeguroMunicipal(Boolean indSeguroMunicipal) {
		this.indSeguroMunicipal = indSeguroMunicipal;
	}

	public Boolean getIndTxEmbarqueMunicipal() {
		return indTxEmbarqueMunicipal;
	}

	public void setIndTxEmbarqueMunicipal(Boolean indTxEmbarqueMunicipal) {
		this.indTxEmbarqueMunicipal = indTxEmbarqueMunicipal;
	}

	public Boolean getIndPedagioMunicipal() {
		return indPedagioMunicipal;
	}

	public void setIndPedagioMunicipal(Boolean indPedagioMunicipal) {
		this.indPedagioMunicipal = indPedagioMunicipal;
	}

	public Boolean getIndTarifaEstadual() {
		return indTarifaEstadual;
	}

	public void setIndTarifaEstadual(Boolean indTarifaEstadual) {
		this.indTarifaEstadual = indTarifaEstadual;
	}

	public Boolean getIndSeguroEstadual() {
		return indSeguroEstadual;
	}

	public void setIndSeguroEstadual(Boolean indSeguroEstadual) {
		this.indSeguroEstadual = indSeguroEstadual;
	}

	public Boolean getIndTxEmbarqueEstadual() {
		return indTxEmbarqueEstadual;
	}

	public void setIndTxEmbarqueEstadual(Boolean indTxEmbarqueEstadual) {
		this.indTxEmbarqueEstadual = indTxEmbarqueEstadual;
	}

	public Boolean getIndPedadioEstdual() {
		return indPedadioEstdual;
	}

	public void setIndPedadioEstdual(Boolean indPedadioEstdual) {
		this.indPedadioEstdual = indPedadioEstdual;
	}

	public List<ExportacaoBPETipoBPE> getListaRegistroBPE() {
		return listaRegistroBPE;
	}

	public void setListaRegistroBPE(List<ExportacaoBPETipoBPE> listaRegistroBPE) {
		this.listaRegistroBPE = listaRegistroBPE;
	}

	public List<ExportacaoBPETipoDPE> getListaRegistroDPE() {
		return listaRegistroDPE;
	}

	public void setListaRegistroDPE(List<ExportacaoBPETipoDPE> listaRegistroDPE) {
		this.listaRegistroDPE = listaRegistroDPE;
	}

	public List<ExportacaoBPETipoOBE> getListaRegistroOBE() {
		return listaRegistroOBE;
	}

	public void setListaRegistroOBE(List<ExportacaoBPETipoOBE> listaRegistroOBE) {
		this.listaRegistroOBE = listaRegistroOBE;
	}

	public List<ExportacaoBPETipoPRC> getListaRegistroPRC() {
		return listaRegistroPRC;
	}

	public void setListaRegistroPRC(List<ExportacaoBPETipoPRC> listaRegistroPRC) {
		this.listaRegistroPRC = listaRegistroPRC;
	}

	public String getXmlAnterior() {
		return xmlAnterior;
	}

	public void setXmlAnterior(String xmlAnterior) {
		this.xmlAnterior = xmlAnterior;
	}

	public String getCmunini() {
		return cmunini;
	}

	public void setCmunini(String cmunini) {
		this.cmunini = cmunini;
	}

	public String getCmunfim() {
		return cmunfim;
	}

	public void setCmunfim(String cmunfim) {
		this.cmunfim = cmunfim;
	}

	public String getUfini() {
		return ufini;
	}

	public void setUfini(String ufini) {
		this.ufini = ufini;
	}

	public String getUffim() {
		return uffim;
	}

	public void setUffim(String uffim) {
		this.uffim = uffim;
	}

	public String getNbp() {
		return nbp;
	}

	public void setNbp(String nbp) {
		this.nbp = nbp;
	}

	public String getDhemb() {
		return dhemb;
	}

	public void setDhemb(String dhemb) {
		this.dhemb = dhemb;
	}

	public String getCst00() {
		return cst00;
	}

	public void setCst00(String cst00) {
		this.cst00 = cst00;
	}

	public String getCst20() {
		return cst20;
	}

	public void setCst20(String cst20) {
		this.cst20 = cst20;
	}

	public String getCst45() {
		return cst45;
	}

	public void setCst45(String cst45) {
		this.cst45 = cst45;
	}

	public String getCst90() {
		return cst90;
	}

	public void setCst90(String cst90) {
		this.cst90 = cst90;
	}

	public String getCstoutrauf() {
		return cstoutrauf;
	}

	public void setCstoutrauf(String cstoutrauf) {
		this.cstoutrauf = cstoutrauf;
	}

	public String getCstsn() {
		return cstsn;
	}

	public void setCstsn(String cstsn) {
		this.cstsn = cstsn;
	}

	public String getVbc00() {
		return vbc00;
	}

	public void setVbc00(String vbc00) {
		this.vbc00 = vbc00;
	}

	public String getPicms00() {
		return picms00;
	}

	public void setPicms00(String picms00) {
		this.picms00 = picms00;
	}

	public String getVicms00() {
		return vicms00;
	}

	public void setVicms00(String vicms00) {
		this.vicms00 = vicms00;
	}

	public String getVbc20() {
		return vbc20;
	}

	public void setVbc20(String vbc20) {
		this.vbc20 = vbc20;
	}

	public String getPicms20() {
		return picms20;
	}

	public void setPicms20(String picms20) {
		this.picms20 = picms20;
	}

	public String getVicms20() {
		return vicms20;
	}

	public void setVicms20(String vicms20) {
		this.vicms20 = vicms20;
	}

	public String getVbp() {
		return vbp;
	}

	public void setVbp(String vbp) {
		this.vbp = vbp;
	}

	public String getVdesconto() {
		return vdesconto;
	}

	public void setVdesconto(String vdesconto) {
		this.vdesconto = vdesconto;
	}

	public String getVpgto() {
		return vpgto;
	}

	public void setVpgto(String vpgto) {
		this.vpgto = vpgto;
	}

	public String getTpcomp01() {
		return tpcomp01;
	}

	public void setTpcomp01(String tpcomp01) {
		this.tpcomp01 = tpcomp01;
	}

	public String getTpcomp02() {
		return tpcomp02;
	}

	public void setTpcomp02(String tpcomp02) {
		this.tpcomp02 = tpcomp02;
	}

	public String getTpcomp03() {
		return tpcomp03;
	}

	public void setTpcomp03(String tpcomp03) {
		this.tpcomp03 = tpcomp03;
	}

	public String getTpcomp04() {
		return tpcomp04;
	}

	public void setTpcomp04(String tpcomp04) {
		this.tpcomp04 = tpcomp04;
	}

	public String getTpcomp05() {
		return tpcomp05;
	}

	public void setTpcomp05(String tpcomp05) {
		this.tpcomp05 = tpcomp05;
	}

	public String getTpcomp06() {
		return tpcomp06;
	}

	public void setTpcomp06(String tpcomp06) {
		this.tpcomp06 = tpcomp06;
	}

	public String getTpcomp99() {
		return tpcomp99;
	}

	public void setTpcomp99(String tpcomp99) {
		this.tpcomp99 = tpcomp99;
	}

	public String getVcomp01() {
		return vcomp01;
	}

	public void setVcomp01(String vcomp01) {
		this.vcomp01 = vcomp01;
	}

	public String getVcomp02() {
		return vcomp02;
	}

	public void setVcomp02(String vcomp02) {
		this.vcomp02 = vcomp02;
	}

	public String getVcomp03() {
		return vcomp03;
	}

	public void setVcomp03(String vcomp03) {
		this.vcomp03 = vcomp03;
	}

	public String getVcomp04() {
		return vcomp04;
	}

	public void setVcomp04(String vcomp04) {
		this.vcomp04 = vcomp04;
	}

	public String getVcomp05() {
		return vcomp05;
	}

	public void setVcomp05(String vcomp05) {
		this.vcomp05 = vcomp05;
	}

	public String getVcomp06() {
		return vcomp06;
	}

	public void setVcomp06(String vcomp06) {
		this.vcomp06 = vcomp06;
	}

	public String getVcomp99() {
		return vcomp99;
	}

	public void setVcomp99(String vcomp99) {
		this.vcomp99 = vcomp99;
	}

	public String getpRedBC() {
		return pRedBC;
	}

	public void setpRedBC(String pRedBC) {
		this.pRedBC = pRedBC;
	}

	public String getDhrecbtoBPe() {
		return dhrecbtoBPe;
	}

	public void setDhrecbtoBPe(String dhrecbtoBPe) {
		this.dhrecbtoBPe = dhrecbtoBPe;
	}

	public boolean isActivoBPe() {
		return activoBPe;
	}

	public void setActivoBPe(boolean activoBPe) {
		this.activoBPe = activoBPe;
	}

	public int getMotivoCancelacionId() {
		return motivoCancelacionId;
	}

	public void setMotivoCancelacionId(int motivoCancelacionId) {
		this.motivoCancelacionId = motivoCancelacionId;
	}

	public String getIndContribuicaoPrevidenciaria() {
		return indContribuicaoPrevidenciaria;
	}

	public void setIndContribuicaoPrevidenciaria(String indContribuicaoPrevidenciaria) {
		this.indContribuicaoPrevidenciaria = indContribuicaoPrevidenciaria;
	}

}
